libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.132. __nv_float2uint_rz

Prototype:

    i32 @__nv_float2uint_rz(float %in)

Description:

Convert the single-precision floating point value `x` to an unsigned integer in round-towards-zero mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes